---
title: PayerResponse.payerPhone
slug: Web/API/PaymentResponse/payerPhone
tags:
  - API
  - Experimental
  - Payment Request
  - Payment Request API
  - PaymentResponse
  - Property
  - Reference
  - Secure context
  - payerPhone
---
<p>{{securecontext_header}}{{SeeCompatTable}}{{APIRef("Payment Request API")}}</p>

<p>The <font face="Consolas, Liberation Mono, Courier, monospace"><strong>payerPhone</strong></font> read-only property of the {{domxref("PaymentResponse")}} interface returns the phone number supplied by the user. This option is only present when the <code>requestPayerPhone</code> option is set to <code>true</code> in the {{domxref('PaymentOptions')}} object passed to the {{domxref('PaymentRequest.PaymentRequest','PaymentRequest')}} constructor.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code>var payerPhone = PaymentResponse.payerPhone;</code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentResponse.payerPhone")}}</p>
</div>
